MeshCfgclient - BlueZ PB-Adv based Bluetooth Mesh Provisioner
*************************************************************

Copyright (C) 2019  Intel Corporation. All rights reserved.

Compilation and installation
============================

In addition to main BlueZ requirements, MeshCfgclient needs the following:
	- JSON library

Configuration and options
=========================

	--enable-mesh

		Build mesh-cfgclient and other Bluetooth Mesh based tools

Storage for mesh configuration file
===================================

The mesh-cfgclient tool generates a mesh configuration file in JSON format:
	- mesh_db.json
that contains information about the current state of the configured mesh
network.

The default directory for mesh-cfgclient configuration file is
$HOME/.config/meshcfg

To specify a custom file, run mesh-cfgclient tool as:

	mesh-cfgclient -c <config_file_name>

If a configuration file is not found, it is assumed that a mesh network
does not exist. In this case, the tool may be used to generate a new  mesh
network by invoking "create" command from the main menu and, on a successful
completion of this command, an initial configuration file is written.

If the configuration file is present, then "create" command will fail. This
is done so that the existing configuration is not accidentally overwritten.
If the intention is to create a new network then, the existing mesh
configuration file has to be either moved or dleted prior to running the
mesh-cfgclient tool. Also, a new custom storage location may be
specified for a new network on the start up as a command line option.


Information
===========

Mailing lists:
	linux-bluetooth@vger.kernel.org

For additional information about the project visit BlueZ web site:
	http://www.bluez.org
